Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.serializer
Class SerializationUtils

    java.lang.Object
      org.springframework.data.redis.serializer.SerializationUtils

    public abstract class SerializationUtils

extends Object

Utility class with various serialization-related methods.

Constructor Summary
`SerializationUtils()`

Method Summary
`static
`<T> Collection<T>`
` | `deserialize(Collection<byte[]> rawValues, RedisSerializer<T> redisSerializer)`
`static
`<T> List<T>`
` | `deserialize(List<byte[]> rawValues, RedisSerializer<T> redisSerializer)`
`static
`<HK,HV> Map<HK,HV>`
` | `deserialize(Map<byte[],byte[]> rawValues, RedisSerializer<HK> hashKeySerializer, RedisSerializer<HV> hashValueSerializer)`
`static
`<T> Map<T,T>`
` | `deserialize(Map<byte[],byte[]> rawValues, RedisSerializer<T> redisSerializer)`
`static
`<T> Set<T>`
` | `deserialize(Set<byte[]> rawValues, RedisSerializer<T> redisSerializer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializationUtils

    public SerializationUtils()

Method Detail

### deserialize

    public static <T> Set<T> deserialize(Set<byte[]> rawValues,
                                         RedisSerializer<T> redisSerializer)

### deserialize

    public static <T> List<T> deserialize(List<byte[]> rawValues,
                                          RedisSerializer<T> redisSerializer)

### deserialize

    public static <T> Collection<T> deserialize(Collection<byte[]> rawValues,
                                                RedisSerializer<T> redisSerializer)

### deserialize

    public static <T> Map<T,T> deserialize(Map<byte[],byte[]> rawValues,
                                           RedisSerializer<T> redisSerializer)

### deserialize

    public static <HK,HV> Map<HK,HV> deserialize(Map<byte[],byte[]> rawValues,
                                                 RedisSerializer<HK> hashKeySerializer,
                                                 RedisSerializer<HV> hashValueSerializer)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD